com.holonplatform.vaadin.flow.components

## Enum ValidationStatusHandler.Status

- java.lang.Object
- - java.lang.Enum<ValidationStatusHandler.Status>
  - - com.holonplatform.vaadin.flow.components.ValidationStatusHandler.Status

- All Implemented Interfaces:
    Serializable, Comparable<ValidationStatusHandler.Status>
  Enclosing interface:
    ValidationStatusHandler<S>

      public static enum ValidationStatusHandler.Status
      extends Enum<ValidationStatusHandler.Status>

  Validation status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVALID` Validation failed.
    `UNRESOLVED` Unresolved status, e.g. no value validation has been made yet.
    `VALID` Validation passed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationStatusHandler.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationStatusHandler.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNRESOLVED

          public static final ValidationStatusHandler.Status UNRESOLVED

      Unresolved status, e.g. no value validation has been made yet.

    - #### VALID

          public static final ValidationStatusHandler.Status VALID

      Validation passed.

    - #### INVALID

          public static final ValidationStatusHandler.Status INVALID

      Validation failed.

  - ### Method Detail

    - #### values

          public static ValidationStatusHandler.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationStatusHandler.Status c : ValidationStatusHandler.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationStatusHandler.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.